## org.w3c.www.webdav
Class DAVEntityTag

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpEntityTag
                  |
                  +--org.w3c.www.webdav.DAVEntityTag

public class DAVEntityTag
extends HttpEntityTag

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`DAVEntityTag(byte[] raw, int off, int len, boolean isnot)`

Method Summary
`boolean` `isNot()`
`java.lang.String` `toString()` Print this header value as it would be emited.

Methods inherited from class org.w3c.www.http.HttpEntityTag
`getTag, getValue, invalidateByteValue, isWeak, parse, setTag, setWeak, updateByteValue`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, setBytes, setString, toExternalForm, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DAVEntityTag

    public DAVEntityTag(byte[] raw,
                        int off,
                        int len,
                        boolean isnot)

Method Detail

### isNot

    public boolean isNot()

### toString

    public java.lang.String toString()

  Description copied from class: BasicValue
  Print this header value as it would be emited.
  Overrides:
    toString in class BasicValue
  Tags copied from class: BasicValue
  Returns:
    A String representation of this header value.